Name:           pigz
Version:        2.4
Release:        1
Summary:        Parallel implementation of gzip

Group:          Applications/File
License:        zlib
URL:            http://www.zlib.net/pigz/
Source0:        http://www.zlib.net/%{name}/%{name}-%{version}.tar.gz
Source1:        http://www.zlib.net/%{name}/%{name}-%{version}-sig.txt
Patch0:         %{name}-%{version}-aix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  make
BuildRequires:  zlib-devel >= 1.2.3-7
Requires:       zlib >= 1.2.3-7

%description
pigz, which stands for parallel implementation of gzip,
is a fully functional replacement for gzip that exploits
multiple processors and multiple cores to the hilt when compressing data.


%prep
%setup -q
%patch0


%build
gmake %{?_smp_mflags}
strip %{name}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp %{name} ${RPM_BUILD_ROOT}%{_bindir}/%{name}
chmod 0755 ${RPM_BUILD_ROOT}%{_bindir}/%{name}

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
cp %{name}.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/
chmod 0644 %{name}.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/*

cd ${RPM_BUILD_ROOT}%{_bindir}
ln -s pigz unpigz

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc pigz.pdf README
%{_bindir}/*
%{_mandir}/man1/*
/usr/bin/*


%changelog
* Thu Jun 18 2020 Michael Perzl <michael@perzl.org> - 2.4-1
- updated to version 2.4

* Fri Oct 14 2016 Michael Perzl <michael@perzl.org> - 2.3.4-1
- updated to version 2.3.4

* Mon May 02 2016 Michael Perzl <michael@perzl.org> - 2.3.3-1
- updated to version 2.3.3

* Thu Mar 27 2014 Michael Perzl <michael@perzl.org> - 2.3.1-1
- updated to version 2.3.1

* Mon Mar 25 2013 Michael Perzl <michael@perzl.org> - 2.3-1
- updated to version 2.3

* Mon Mar 25 2013 Michael Perzl <michael@perzl.org> - 2.2.5-1
- first version for AIX V5.1 and higher
